/*
Template file for Basic I/O Shield
By Bernardo Giovanni
www.settorezero.com
*/


// slide switches
#define SW1  2
#define SW2  7
#define SW3  8
#define SW4  35

// pushbuttons
#define BTN1  4
#define BTN2  34
#define BTN3  36
#define BTN4  37

// leds
#define LD1  26
#define LD2  27
#define LD3  28
#define LD4  29
#define LD5  30
#define LD6  31
#define LD7  32
#define LD8  33

// potentiometer
#define VR1 A0
int VR1_value = 0;  // variable to store the value coming from VR1

// mosfets
#define MOS1  3
#define MOS2  5
#define MOS3  6
#define MOS4  9

void setup(void)
  {
  // inputs : pushbuttons
  pinMode(SW1, INPUT);
  pinMode(SW2, INPUT);
  pinMode(SW3, INPUT);
  pinMode(SW4, INPUT);
  // inputs : slide switches
  pinMode(BTN1, INPUT);
  pinMode(BTN2, INPUT);
  pinMode(BTN3, INPUT);
  pinMode(BTN4, INPUT);
  // outputs : leds
  pinMode(LD1, OUTPUT);
  pinMode(LD2, OUTPUT);
  pinMode(LD3, OUTPUT);
  pinMode(LD4, OUTPUT);
  pinMode(LD5, OUTPUT);
  pinMode(LD6, OUTPUT);
  pinMode(LD7, OUTPUT);
  pinMode(LD8, OUTPUT);
  // outputs : mosfets
  pinMode(MOS1, OUTPUT);
  pinMode(MOS2, OUTPUT);
  pinMode(MOS3, OUTPUT);
  pinMode(MOS4, OUTPUT);
  }

void loop(void)
  {
  // read value from VR1
  VR1_value = analogRead(VR1); 
  }
